Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.webservice
Class WSSecurityInterceptor

    java.lang.Object
      org.jboss.seam.intercept.AbstractInterceptor
          org.jboss.seam.security.SecurityInterceptor
              org.jboss.seam.webservice.WSSecurityInterceptor

All Implemented Interfaces:
  Serializable, OptimizedInterceptor

    @Interceptor(stateless=true,
                 type=SERVER,
                 around=AsynchronousInterceptor.class)
    public class WSSecurityInterceptor

extends SecurityInterceptor

Provides authorization services for web service invocations.

Author:
  Shane Bryzak
See Also:
  Serialized Form

Constructor Summary
`WSSecurityInterceptor()`

Method Summary
`boolean` | `isInterceptorEnabled()` Returns true if this interceptor should be enabled.

Methods inherited from class org.jboss.seam.security.SecurityInterceptor
`aroundInvoke`

Methods inherited from class org.jboss.seam.intercept.AbstractInterceptor
`getComponent, setComponent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WSSecurityInterceptor

    public WSSecurityInterceptor()

Method Detail

### isInterceptorEnabled

    public boolean isInterceptorEnabled()

  Description copied from interface: `OptimizedInterceptor`
  Returns true if this interceptor should be enabled. The component and the annotation will be injected into the interceptor instance before this method is called, and can be used to decide whether the interceptor should be enabled

  Specified by:
    `isInterceptorEnabled` in interface `OptimizedInterceptor`
  Overrides:
    `isInterceptorEnabled` in class `SecurityInterceptor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.